package com.bcxin.risk.report.enums;

public enum AssignType {

	TRANSFERTASK {public String getValue(){return "0";} public String getName(){return "任务转交";}}, 
	
	APPLYEXPERT {public String getValue(){return "1";} public String getName(){return "申请专家";}};


    public abstract String getValue();
    
    public abstract String getName();
    
    public static AssignType convert(String value){
    	if ( "TRANSFERTASK".equals(value) ) {
    		return AssignType.TRANSFERTASK;
    	} else if ("APPLYEXPERT".equals(value)) {
    		return AssignType.APPLYEXPERT;
    	} 
    	return null;
    }
    
    public static AssignType convertValue(String value){
      	 if("0".equals(value)){return AssignType.TRANSFERTASK;}
	   	 else if("1".equals(value)){return AssignType.APPLYEXPERT;}
	   	 else{return null;}
	}
}
